summaryrefslogtreecommitdiff
path: root/tests/fake_mounting_script.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/fake_mounting_script.sh')
-rwxr-xr-xtests/fake_mounting_script.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/tests/fake_mounting_script.sh b/tests/fake_mounting_script.sh
new file mode 100755
index 0000000..4bb95f6
--- /dev/null
+++ b/tests/fake_mounting_script.sh
@@ -0,0 +1,36 @@
+#!/bin/sh
+#
+# Copyright (c) 2013 Codethink Ltd.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License Version 2 as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -eu
+
+
+usage() {
+ echo usage: "$(basename $0) fake_mounting_point" >&2
+ exit 1
+}
+
+
+
+if [ "$#" != 1 ]; then
+ usage $0
+fi
+
+
+fake_mounting_point="$1"
+
+cp -a "$mounting_script_test_dir"/* "$fake_mounting_point"
+